Microsoft Management Console 3.0

Microsoft Management Console 3.0

Microsoft Management Console (MMC) include gli strumenti di amministrazione utilizzabili per gestire reti, computer, servizi e altri componenti di sistema.

Per informazioni sulle funzionalità che sono state aggiunte o modificate rispetto a MMC 2.0, vedere Novità di MMC 3.0.

Per suggerimenti sull'utilizzo di MMC 3.0, vedere Procedure consigliate per MMC 3.0.

Per informazioni su attività specifiche, vedere Procedure relative a MMC 3.0.

Per informazioni sull'utilizzo delle impostazioni Criteri di gruppo per configurare il comportamento di MMC, vedere Utilizzare Criteri di gruppo per controllare l'utilizzo di MMC 3.0.

Per informazioni di carattere generale, vedere Concetti relativi a MMC 3.0.

Per informazioni sulle opzioni della riga di comando di MMC, vedere Opzioni della riga di comando per MMC 3.0.

Per informazioni sulla compatibilità con ambienti di elaborazione a 64 bit o versioni precedenti di MMC, vedere Compatibilità di MMC 3.0.

Per informazioni sulle funzionalità di accessibilità di MMC, vedere Accessibilità per MMC 3.0.


Novità di MMC 3.0

MMC 3.0 supporta funzionalità ancora più avanzate grazie a snap-in scritti specificamente per sfruttarne l'infrastruttura.

Nuove funzionalità di MMC 3.0

Sono numerosi i miglioramenti relativi alle console snap-in di MMC 3.0.

Riquadro azioni

Il riquadro azioni è visibile sul lato destro della console snap-in. In tale riquadro vengono elencate le azioni disponibili per gli utenti, in base agli elementi attualmente selezionati nell'albero o nel riquadro risultati. Per visualizzare o nascondere il riquadro azioni, fare clic sul pulsante Mostra/Nascondi riquadro azioni sulla barra degli strumenti, simile al pulsante Mostra/Nascondi albero.

Nuova finestra di dialogo Aggiungi o rimuovi snap-in

La nuova finestra di dialogo Aggiungi o rimuovi snap-in consente di aggiungere, organizzare e rimuovere gli snap-in con la massima facilità. È possibile specificare quali estensioni rendere disponibili e se abilitare automaticamente snap-in che potranno essere installati successivamente. È possibile organizzare gli snap-in nidificandoli e ridistribuendoli nell'albero. Per ulteriori informazioni sull'utilizzo della finestra di dialogo Aggiungi o rimuovi snap-in di MMC 3.0, vedere Aggiungere, rimuovere e organizzare snap-in ed estensioni in MMC 3.0.

Gestione degli errori migliorata

MMC 3.0 notifica gli errori degli snap-in che potrebbero causare problemi di funzionamento di MMC e fornisce diverse opzioni per rispondere a tali errori.

Per informazioni sull'utilizzo di MMC 3.0 con snap-in e console snap-in creati per versioni precedenti del prodotto, vedere Utilizzare file creati con versioni precedenti di MMC in MMC 3.0.


Aggiungere, rimuovere e organizzare snap-in ed estensioni in MMC 3.0

Per aggiungere, rimuovere e organizzare snap-in ed estensioni in una console snap-in di MMC 3.0, è possibile utilizzare la finestra di dialogo Aggiungi o rimuovi snap-in.

In questa sezione

Aggiungere o rimuovere uno snap-in

Impostare il nodo padre di uno snap-in

Aggiungere o rimuovere uno snap-in

Per aggiungere o rimuovere uno snap-in

  1. Scegliere Aggiungi/Rimuovi snap-in dal menu File di una console di MMC 3.0 aperta.

  2. Nell'elenco Snap-in disponibili evidenziare lo snap-in che si desidera aggiungere e fare clic su Aggiungi per aggiungere lo snap-in all'elenco Snap-in selezionati.

  3. In entrambi gli elenchi è possibile avere una breve descrizione degli snap-in facendo clic sullo snap-in desiderato e leggendo il contenuto della casella Descrizione nella parte inferiore della finestra di dialogo. Per alcuni snap-in potrebbe non essere disponibile una descrizione.

  4. Per modificare l'ordine degli snap-in nella console snap-in, fare clic su uno snap-in nell'elenco Snap-in selezionati e quindi su Sposta su o Sposta giù.

  5. Se si desidera aggiungere il nuovo snap-in a un nodo della console aperta diverso dalla radice console, vedere la procedura seguente, "Per impostare il nodo padre di uno snap-in".

  6. Per rimuovere uno snap-in, fare clic su di esso nell'elenco Snap-in selezionati e quindi su Rimuovi.

  7. Dopo aver aggiunto o rimosso tutti gli snap-in desiderati, fare clic su OK.

Impostare il nodo padre di uno snap-in

Per impostare il nodo padre di uno snap-in

  1. Fare clic su Avanzate.

  2. Selezionare la casella di controllo Consenti modifica snap-in padre e quindi fare clic su OK.

  3. Nella finestra di dialogo Aggiungi o rimuovi snap-in sarà ora disponibile l'elenco a discesa Snap-in padre, in cui vengono visualizzati la radice console e tutti gli snap-in attualmente inclusi nell'elenco Snap-in selezionati.

  4. Selezionare un nodo padre nell'elenco a discesa Snap-in padre. Fare clic sullo snap-in figlio nell'elenco Snap-in disponibili e quindi su Aggiungi.

  5. Per spostare uno snap-in già incluso nell'elenco Snap-in selezionati in un nodo padre diverso, sarà necessario rimuoverlo e aggiungerlo di nuovo.
Nota

  • Per visualizzare la finestra di dialogo Aggiungi o rimuovi snap-in da una console snap-in, scegliere Aggiungi/Rimuovi snap-in dal menu File.

Vedere anche

  • Snap-in di MMC


Procedure consigliate per MMC 3.0

Di seguito vengono illustrate le procedure consigliate per MMC 3.0.

Accedere come utente senza diritti amministrativi

  • Quando si è connessi con diritti amministrativi, i sistemi su cui si esercita il controllo possono essere esposti ad attacchi da parte di utenti malintenzionati. Per ulteriori informazioni, vedere la pagina relativa ai motivi per cui non è consigliabile utilizzare il computer con privilegi di amministratore.

  • Utilizzare il comando Runas per aprire strumenti specifici. Per ulteriori informazioni, vedere la pagina relativa all'utilizzo del comando runas con MMC.

  • Per gli strumenti di uso più frequente, creare collegamenti che utilizzino il comando Runas. Tali collegamenti consentiranno di lavorare in modo efficiente senza rischi di sicurezza.

  • Chiudere lo strumento al termine dell'attività. In questo modo non si esporrà il sistema a possibili violazioni della sicurezza o ad accessi da parte di utenti malintenzionati.

Per ulteriori informazioni sulla sicurezza, vedere la pagina relativa alle procedure consigliate per utenti e gruppi locali.

Seguire le indicazioni sulla sicurezza per gli strumenti utilizzati

  • Ricercare istruzioni sulla sicurezza nella Guida relativa a ogni strumento.

Utilizzare la funzionalità Pulitura disco

  • Nel proprio profilo vengono salvate le preferenze dei singoli utenti per i file di console. Man mano che si accumulano, tali modifiche occupano sempre più spazio su disco. Per liberare spazio sul disco, utilizzare la funzionalità Pulitura disco.


Procedure relative a MMC 3.0

In questa sezione

  • Aprire MMC 3.0

  • Creare una nuova console snap-in da MMC 3.0

  • Impostare le opzioni per una console MMC 3.0

  • Creare e organizzare i Preferiti in una console snap-in di MMC

  • Creare una nuova console snap-in basata su una console snap-in esistente

  • Utilizzare Criteri di gruppo per controllare l'utilizzo di MMC 3.0


Aprire MMC 3.0

È possibile aprire MMC 3.0 tramite l'interfaccia Windows o la riga di comando:

Tramite l'interfaccia Windows

  • Fare clic sul pulsante Start, fare clic nella casella di testo Inizia ricerca, digitare mmc e quindi premere INVIO.

Tramite riga di comando

Per aprire MMC tramite riga di comando

  1. Aprire una finestra di comando facendo clic sul pulsante Start, facendo clic nella casella di testo Inizia ricerca, digitando cmd e quindi premendo INVIO.

  2. Al prompt dei comandi digitare mmc e quindi premere INVIO.
Note
  • Se sono impostati criteri locali o criteri di gruppo che impediscono l'utilizzo di alcuni snap-in, non sarà possibile aprire le console snap-in contenenti tali snap-in.
  • Per aprire una console snap-in di MMC esistente o salvata, selezionarla o utilizzare il relativo collegamento in Esplora risorse e quindi fare doppio clic su di essa.
  • È inoltre possibile aprire una console di MMC esistente da un'altra console in cui si sta lavorando. A tale scopo, scegliere Apri dal menu File.

Vedere anche

  • Utilizzare Criteri di gruppo per controllare l'utilizzo di MMC 3.0


Creare una nuova console snap-in da MMC 3.0

Per creare una nuova console snap-in da MMC 3.0

Per creare una nuova console snap-in, eseguire la procedura seguente.

Per creare una nuova console snap-in da MMC 3.0

  1. Eseguire una delle operazioni seguenti:

    • Da una console snap-in scegliere Nuovo dal menu File.

    • Nella riga di comando digitare mmc /a.

  2. Personalizzare la nuova console seguendo le istruzioni contenute nella tabella sotto riportata.

Attività Scopo Informazioni di riferimento

Aggiungere e organizzare gli snap-in

Aggiungere gli strumenti che si desidera siano contenuti nella console snap-in.
  • Per MMC 3.0, vedere Aggiungere, rimuovere e organizzare snap-in ed estensioni in MMC 3.0.

Denominare la console snap-in

Aggiungere un "nome descrittivo" nell'intestazione della console per essere certi di aver aperto la giusta console.
  • Impostare le opzioni per una console MMC 3.0

Impostare la modalità

Per impostazione predefinita, la console snap-in è in modalità di modifica. Se si crea la console per delegare il lavoro, è preferibile impostare una delle modalità utente.
  • Impostare le opzioni per una console MMC 3.0

  • Utilizzare Criteri di gruppo per controllare l'utilizzo di MMC 3.0

  • Modalità di accesso per una console snap-in

Personalizzare le visualizzazioni

Nascondere gli eventuali elementi di distrazione o non necessari in una console snap-in.
  • Per aprire la finestra di dialogo Personalizza visualizzazione da una console, fare clic su Visualizza nel riquadro Azione e quindi fare clic su Personalizza. In alternativa, scegliere Personalizza dal menu Visualizza.

Creare e organizzare i Preferiti

Utilizzare l'elenco Preferiti disponibile in MMC per accedere rapidamente ai nodi dell'albero utilizzati con maggiore frequenza.
  • Creare e organizzare i Preferiti in una console snap-in di MMC

Nota

Se non si riesce ad aprire una console in modalità di modifica, è possibile che siano state impostate restrizioni in merito tramite criteri locali o criteri di gruppo. Per ulteriori informazioni sulle modalità di accesso per una console snap-in, vedere i collegamenti presenti nella sezione riportata di seguito.

Vedere anche

  • Aprire MMC 3.0
  • Modalità di accesso per una console snap-in


Impostare le opzioni per una console MMC 3.0

Per impostare le opzioni per una console MMC

Per impostare le opzioni per una console MMC

  1. Aprire una console salvata in modalità di modifica eseguendo una delle operazioni seguenti:

    • Fare clic con il pulsante destro del mouse sul file con estensione msc e quindi scegliere Autore.

    • Fare clic sul pulsante Start, fare clic nella casella di testo Inizia ricerca, digitare percorso mmc\nomefile.msc /a e quindi premere INVIO.

  2. Scegliere Opzioni dal menu File.

  3. Per modificare il titolo della console, digitare un nuovo titolo nella casella.

  4. Per cambiare l'icona della console, fare clic su Cambia icona. Nella casella Nome file digitare il percorso di un file contenente icone.

  5. In Icona corrente fare clic su un'icona e quindi su OK.

  6. Per cambiare la modalità predefinita della console, in Modalità console selezionare fra le quattro seguenti la modalità in cui si desidera che venga aperta la console:

    • Modalità di modifica. Consente di personalizzare completamente la console snap-in, ad esempio di aggiungere o rimuovere snap-in, creare nuove finestre, creare Preferiti e blocchi note attività e accedere a tutte le opzioni delle finestre di dialogo Personalizza visualizzazione e Opzioni. Questa modalità è utilizzata in genere dagli utenti che creano file di console per uso personale o per altri utenti. La console snap-in che ne risulta viene in genere salvata in una delle modalità utente.

    • Modalità utente - Accesso completo. Simile alla modalità di modifica, eccetto per il fatto che gli utenti non possono aggiungere o rimuovere snap-in, modificare le opzioni della console snap-in, creare l'elenco Preferiti o creare blocchi note attività.

    • Modalità utente - Accesso limitato, finestra multipla. Consente di accedere solo alle parti dell'albero visibili durante il salvataggio del file della console. Gli utenti possono creare nuove finestre, ma non possono chiudere quelle esistenti.

    • Modalità utente - Accesso limitato, finestra singola. Consente di accedere solo alle parti dell'albero visibili durante il salvataggio del file della console. Gli utenti non possono creare nuove finestre.

  7. Se come modalità predefinita della console è impostata una delle modalità utente, eseguire una delle operazioni seguenti:

    • Per impedire agli utenti di modificare la console, selezionare la casella di controllo Non salvare le modifiche apportate a questa console.

    • Per consentire agli utenti di accedere alla finestra di dialogo Personalizza visualizzazione, selezionare la casella di controllo Consenti personalizzazione delle visualizzazioni.
Note
  • Se si modifica il titolo di una console, sulla barra del titolo non verrà visualizzato il percorso degli elementi selezionati nell'albero della console. Se invece non si modifica il titolo o lo si elimina, i percorsi verranno visualizzati.
  • Le icone che è possibile utilizzare per personalizzare le console sono contenute in diversi file. Sono ad esempio disponibili diverse icone nel file Shell32.dll, incluso nella cartella %Systemroot%\System32.
  • Per evitare che il messaggio Salvare le impostazioni della console in nome console? venga visualizzato ogni volta che si chiude una console aperta in modalità di modifica, impostare come modalità predefinita della console una delle modalità utente e quindi deselezionare la casella di controllo Non salvare le modifiche apportate a questa console. Qualsiasi modifica apportata alla console verrà così salvata automaticamente.

Vedere anche

  • MMC 3.0 in modalità di modifica
  • Aprire MMC 3.0
  • Modalità di accesso per una console snap-in


Creare e organizzare i Preferiti in una console snap-in di MMC

Per aggiungere, rimuovere e organizzare i Preferiti, è possibile utilizzare il relativo elenco. L'elenco Preferiti può infatti includere le visualizzazioni pagina e i blocchi note attività a cui si desidera accedere rapidamente.

In questa sezione

Come aggiungere un elemento all'elenco Preferiti in una console snap-in

Come organizzare l'elenco Preferiti in una console snap-in

Come aggiungere un elemento all'elenco Preferiti in una console snap-in

Per aggiungere un elemento all'elenco Preferiti in una console snap-in

  1. Scegliere Aggiungi a Preferiti dal menu Preferiti.

  2. Nell'albero fare clic sull'elemento che si desidera aggiungere all'elenco Preferiti.

  3. In Crea in eseguire una delle operazioni seguenti:

    • Per aggiungere un elemento a una cartella esistente, selezionare la cartella in cui si desidera inserire l'elemento e quindi fare clic su OK.

    • Per aggiungere un elemento a una nuova cartella, selezionare la cartella che si desidera specificare come cartella padre e quindi fare clic su Nuova cartella. In Nome cartella digitare un nome, fare clic su OK e quindi fare di nuovo clic su OK.

Come organizzare l'elenco Preferiti in una console snap-in

Per organizzare l'elenco Preferiti in una console snap-in

  1. Scegliere Organizza Preferiti dal menu Preferiti e quindi eseguire una delle operazioni seguenti:

  2. Per aggiungere una cartella, fare clic su Crea cartella, digitare un nome in Nome cartella e quindi scegliere OK.

  3. Per spostare un elemento in una cartella diversa, selezionare l'elemento nella cartella Preferiti, fare clic su Sposta nella cartella, selezionare la cartella di destinazione e quindi fare clic su OK.

  4. Per modificare il nome di un elemento, selezionare l'elemento nella cartella Preferiti, fare clic su Rinomina, digitare un nuovo nome e quindi premere INVIO.

  5. Per rimuovere un elemento, selezionare l'elemento nella cartella Preferiti e quindi fare clic su Elimina.

Vedere anche

  • Aprire MMC 3.0


Creare una nuova console snap-in basata su una console snap-in esistente

Per creare una nuova console snap-in basata su una console snap-in esistente

Per creare una nuova console snap-in basata su una console snap-in esistente

  1. Aprire una console esistente da utilizzare come base per la nuova console.

  2. Scegliere Salva con nome dal menu File e quindi digitare un nome per la nuova console.

  3. Per aprire una console di MMC esistente o salvata, selezionarla o utilizzare il relativo collegamento in Esplora risorse e quindi fare doppio clic su di essa.

Nota

È inoltre possibile aprire una console di MMC esistente da un'altra console attualmente in uso. A tale scopo, scegliere Apri dal menu File.

Vedere anche

  • Aggiungere, rimuovere e organizzare snap-in ed estensioni in MMC 3.0
  • Creare una nuova console snap-in da MMC 3.0
  • Aprire MMC 3.0
  • Modalità di accesso per una console snap-in


Utilizzare Criteri di gruppo per controllare l'utilizzo di MMC 3.0

In questa sezione

  • Controllare l'utilizzo di MMC tramite un oggetto Criteri di gruppo locale

  • Controllare l'utilizzo di MMC tramite un oggetto Criteri di gruppo a livello di dominio


Controllare l'utilizzo di MMC tramite un oggetto Criteri di gruppo locale

Controllare l'utilizzo di MMC tramite un oggetto Criteri di gruppo locale

Per controllare l'utilizzo di MMC tramite un oggetto Criteri di gruppo locale

  1. Aprire MMC 3.0.

  2. Scegliere Aggiungi/Rimuovi snap-in dal menu File.

  3. Nell'elenco Snap-in disponibili fare clic su Editor oggetti Criteri di gruppo e quindi su Aggiungi.

  4. Nella procedura guidata Selezione oggetto Criteri di gruppo utilizzare l'impostazione predefinita Computer locale nel campo Oggetto Criteri di gruppo.

  5. Fare clic su Fine per chiudere la procedura guidata Selezione oggetto Criteri di gruppo.

  6. Per impostazione predefinita, sono attivate tutte le estensioni di snap-in disponibili. Se si desidera attivarne solo alcune, evidenziare lo snap-in nell'elenco Snap-in selezionati e quindi fare clic su Modifica estensioni.

  7. Per impostazione predefinita, gli snap-in vengono caricati come oggetti figlio del nodo Radice console. Fare clic su Avanzate per modificare questo comportamento e poter scegliere uno snap-in padre diverso.

  8. Nella finestra di dialogo Aggiungi o rimuovi snap-in fare clic su OK.

  9. Prima di chiudere la nuova console, eseguire una delle procedure seguenti:

    • Per limitare l'accesso a MMC in modalità di modifica

    • Per limitare l'accesso a un elenco di snap-in consentiti

    • Per consentire o impedire l'accesso a uno snap-in

Limitare l'accesso a MMC in modalità di modifica

Per limitare l'accesso a MMC in modalità di modifica

  1. Nell'albero fare clic su Microsoft Management Console.

    È disponibile nel percorso seguente: Criterio NomeCriterio\Configurazione utente\Modelli amministrativi\Componenti di Windows\Microsoft Management Console.

  2. Nel riquadro risultati fare doppio clic su Limita l'accesso dell'utente in modalità di modifica.

  3. Nella scheda Impostazione eseguire una delle operazioni seguenti:

    • Per consentire all'utente di utilizzare MMC in modalità di modifica, fare clic su Non configurato o su Disattivato.

    • Per impedire all'utente di utilizzare MMC in modalità di modifica, fare clic su Attivato.

  4. Fare clic su OK.
Nota

Se dopo aver attivato l'opzione Limita l'accesso dell'utente in modalità modifica si tenta di riaccedere alla console, un messaggio indicherà che l'accesso alla console snap-in in modalità di modifica è bloccato. Gli utenti con credenziali di amministratore possono riottenere l'accesso in modalità di modifica utilizzando il comando Cerca e quindi digitando gpedit.msc per aprire Editor oggetti Criteri di gruppo per i criteri del computer locale. Selezionare quindi Microsoft Management Console come descritto nella procedura "Per limitare l'accesso a MMC in modalità di modifica" sopra riportata, fare doppio clic su Limita l'accesso dell'utente in modalità di modifica nel riquadro risultati e quindi fare clic su Non configurato o Disattivato.

Limitare l'accesso a un elenco di snap-in consentiti

Per limitare l'accesso a un elenco di snap-in consentiti

  1. Nell'albero fare clic su Microsoft Management Console.

    È disponibile nel percorso seguente: Criterio NomeCriterio\Configurazione utente\Modelli amministrativi\Componenti di Windows\Microsoft Management Console.

  2. Nel riquadro risultati fare doppio clic su Limita l'accesso degli utenti all'elenco di snap-in consentiti.

  3. Nella scheda Impostazione eseguire una delle operazioni seguenti:

    • Per consentire all'utente di accedere agli snap-in per cui non è stato esplicitamente limitato l'accesso, fare clic su Non configurato o su Disattivato.

    • Per impedire all'utente di accedere agli snap-in non esplicitamente consentiti, fare clic su Attivato.

  4. Fare clic su OK.
Nota

Se si attiva questo criterio, nell'elenco degli snap-in disponibili della finestra di dialogo Aggiungi snap-in autonomo di MMC verranno visualizzati solo gli snap-in consentiti.

Consentire o impedire l'accesso a uno snap-in

Per consentire o impedire l'accesso a uno snap-in

  1. Nell'albero fare clic su Snap-in con restrizioni/consentiti.

    È disponibile nel percorso seguente: Criterio NomeCriterio\Configurazione utente\Modelli amministrativi\Componenti di Windows\Microsoft Management Console\Snap-in con restrizioni/consentiti.

  2. Nel riquadro risultati fare doppio clic sullo snap-in per il quale si desidera consentire o impedire l'accesso e quindi eseguire una delle operazioni seguenti:

    • Per consentire all'utente di accedere allo snap-in, a meno che per l'utente non sia stato attivato il criterio Limita l'accesso degli utenti all'elenco di snap-in consentiti, fare clic su Non configurato.

    • Per consentire all'utente di accedere allo snap-in, fare clic su Attivato.

    • Per impedire all'utente di accedere allo snap-in, fare clic su Disattivato.

  3. Fare clic su OK.
Note
  • Per aprire MMC, fare clic sul pulsante Start, fare clic nella casella di testo Inizia ricerca, digitare mmc e quindi premere INVIO.
  • Per ulteriori informazioni su una qualsiasi di queste impostazioni, fare clic sulla scheda Descrizione nella finestra di dialogo dell'impostazione Criteri di gruppo che si intende selezionare e vedere la Guida.
  • È possibile applicare queste funzionalità solo in una rete in cui è stato configurato Editor oggetti Criteri di gruppo. È inoltre necessario che Editor oggetti Criteri di gruppo venga abilitato da un amministratore di sistema. Editor oggetti Criteri di gruppo non è disponibile in Windows XP Home Edition.

Vedere anche

  • Aprire MMC 3.0
  • Utilizzare Criteri di gruppo per controllare l'utilizzo di MMC 3.0


Controllare l'utilizzo di MMC tramite un oggetto Criteri di gruppo a livello di dominio

Controllare l'utilizzo di MMC tramite un oggetto Criteri di gruppo a livello di dominio

Per poter modificare un oggetto Criteri di gruppo a livello di dominio, è necessario appartenere al gruppo Domain Admins.

Per controllare l'utilizzo di MMC tramite un oggetto Criteri di gruppo a livello di dominio

  1. Aprire Utenti e computer di Active Directory.

    Lo snap-in Utenti e computer di Active Directory è disponibile solo nei computer configurati come controller di dominio Active Directory. Per aprire Utenti e computer di Active Directory, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Utenti e computer di Active Directory.

  2. Nell'albero fare clic con il pulsante destro del mouse sull'unità organizzativa per la quale si desidera configurare il criterio e quindi scegliere Proprietà.

  3. Nella scheda Criterio gruppo fare clic su Modifica.

    Verrà visualizzato Editor oggetti Criteri di gruppo.

  4. Prima di chiudere lo snap-in Utenti e computer di Active Directory, eseguire una delle procedure seguenti:

    • Per limitare l'accesso a MMC in modalità di modifica per un dominio

    • Per limitare l'accesso a un elenco di snap-in consentiti per un dominio

    • Per consentire o impedire l'accesso a uno snap-in per un dominio

Limitare l'accesso a MMC in modalità di modifica per un dominio

Per limitare l'accesso a MMC alla modalità di modifica per un dominio

  1. Nell'albero fare clic su Microsoft Management Console.

    L'oggetto Microsoft Management Console è disponibile nel percorso seguente: Criterio NomeCriterio\Configurazione utente\Modelli amministrativi\Componenti di Windows\Microsoft Management Console.

  2. Nel riquadro dei risultati fare doppio clic su Limita l'accesso dell'utente in modalità di modifica.

  3. Nella scheda Criteri eseguire una delle operazioni seguenti:

    • Per consentire all'utente di utilizzare MMC in modalità di modifica, fare clic su Non configurato o su Disattivato.

    • Per impedire all'utente di utilizzare MMC in modalità di modifica, fare clic su Attivato.

  4. Fare clic su OK.

Limitare l'accesso a un elenco di snap-in consentiti per un dominio

Per limitare l'accesso a un elenco di snap-in consentiti per un dominio

  1. Nell'albero fare clic su Microsoft Management Console.

    L'oggetto Microsoft Management Console è disponibile nel percorso seguente: Criterio NomeCriterio\Configurazione utente\Modelli amministrativi\Componenti di Windows\Microsoft Management Console.

  2. Nel riquadro dei risultati fare doppio clic su Limita l'accesso degli utenti all'elenco di snap-in consentiti.

  3. Nella scheda Criteri eseguire una delle operazioni seguenti:

    • Per consentire all'utente di accedere agli snap-in per cui non è stato esplicitamente limitato l'accesso, fare clic su Non configurato o su Disattivato.

    • Per impedire all'utente di accedere agli snap-in non esplicitamente consentiti, fare clic su Attivato.

  4. Fare clic su OK.
Nota

Se si attiva questo criterio, nell'elenco degli snap-in disponibili della finestra di dialogo Aggiungi snap-in autonomo di MMC verranno visualizzati solo gli snap-in consentiti.

Consentire o impedire l'accesso a uno snap-in per un dominio

Per consentire o impedire l'accesso a uno snap-in per un dominio

  • Nell'albero fare clic su Snap-in con restrizioni/consentiti.

L'oggetto Snap-in con restrizioni/consentiti è disponibile nel percorso seguente: Criterio NomeCriterio\Configurazione utente\Modelli amministrativi\Componenti di Windows\Microsoft Management Console\Snap-in con restrizioni/consentiti.

  1. Nel riquadro dei risultati fare doppio clic sullo snap-in per il quale si desidera consentire o impedire l'accesso e quindi eseguire una delle operazioni seguenti:

    • Per consentire all'utente di accedere allo snap-in, a meno che per l'utente non sia stato attivato il criterio Limita l'accesso degli utenti all'elenco di snap-in consentiti, fare clic su Non configurato.

    • Per consentire all'utente di accedere allo snap-in, fare clic su Attivato.

    • Per impedire all'utente di accedere allo snap-in, fare clic su Disattivato.

  2. Fare clic su OK.
Nota

Quando si impedisce o si consente esplicitamente l'accesso a uno snap-in, questo viene aggiunto a un elenco di snap-in con restrizioni o consentiti. L'elenco degli snap-in con restrizioni ha la precedenza sull'elenco degli snap-in consentiti. Se pertanto lo snap-in figura in entrambi gli elenchi, l'accesso verrà negato.

Informazioni aggiuntive

  • È possibile utilizzare Active Directory solo in una rete in cui è stato configurato Editor oggetti Criteri di gruppo. Per configurare Editor oggetti Criteri di gruppo per un dominio è necessario essere un amministratore di dominio o disporre di diritti equivalenti e utilizzare un computer configurato come controller di dominio.

  • Per ulteriori informazioni su una qualsiasi di queste impostazioni, fare clic sulla scheda Descrizione nella finestra di dialogo dell'impostazione Criteri di gruppo che si intende selezionare e vedere la Guida.

Vedere anche

  • Aprire MMC 3.0


Concetti relativi a MMC 3.0

In questa sezione

  • MMC 3.0 in modalità di modifica

  • Snap-in di MMC

  • Modalità di accesso per una console snap-in


MMC 3.0 in modalità di modifica

MMC 3.0 in modalità di modifica

MMC può essere utilizzato in modalità di modifica per creare nuove console snap-in o modificare le console snap-in esistenti. Per creare uno strumento di amministrazione, è necessario aggiungere snap-in e altri elementi a una console snap-in. È possibile creare finestre aggiuntive per la visualizzazione dei vari elementi che compongono una console snap-in. È inoltre possibile creare visualizzazioni blocco note attività contenenti collegamenti per l'esecuzione di comandi di menu da posizioni e strumenti diversi della console snap-in, nonché per l'esecuzione di funzioni da riga di comando. Dopo il salvataggio, una console snap-in può essere distribuita agli utenti.

Nota

In MMC 3.0 il riquadro Azione sostituisce le visualizzazioni blocco note attività. La Creazione guidata nuova visualizzazione blocco note attività non è disponibile per gli snap-in creati per MMC 3.0, ma continua a essere supportata per gli snap-in precedenti.

Per istruzioni sulla modifica di una console snap-in, vedere Procedure relative a MMC 3.0.

Per informazioni sulla modalità di modifica e le altre modalità di accesso a MMC, vedere Modalità di accesso per una console snap-in.


Snap-in di MMC

Uno snap-in è il componente di base di una console. Gli snap-in possono essere utilizzati solo all'interno delle console e non possono essere eseguiti in modo indipendente.

Quando si installa un componente a cui è associato uno snap-in, quest'ultimo è disponibile per chiunque crei una console in tale computer, a meno che l'utilizzo dello snap-in non sia limitato da un criterio utente.

Snap-in ed estensioni di snap-in

MMC supporta due tipi di snap-in: gli snap-in autonomi e le estensioni di snap-in. È possibile aggiungere uno snap-in autonomo, di solito denominato semplicemente snap-in, a una console senza dover prima aggiungere altri elementi. Un'estensione di snap-in, denominata in genere semplicemente estensione, viene sempre aggiunta a uno snap-in o a un'altra estensione di snap-in già presente nell'albero. Le estensioni attivate per uno snap-in consentono di intervenire sugli oggetti controllati dallo snap-in, ad esempio computer, stampanti, modem o altri dispositivi.

Quando si aggiunge uno snap-in o un'estensione a una console, il componente può essere visualizzato come nuovo elemento nell'albero oppure può aggiungere voci di menu di scelta rapida, ulteriori barre degli strumenti e pagine delle proprietà o procedure guidate a uno snap-in precedentemente installato nella console.

Aggiungere snap-in a una console

È possibile aggiungere uno o più snap-in e altri elementi a una console, nonché più istanze di un determinato snap-in alla stessa console allo scopo di amministrare computer diversi o ripristinare una console danneggiata. Ogni volta che si aggiunge una nuova istanza di uno snap-in a una console, le relative opzioni vengono impostate sui valori predefiniti fino a quando non si procede alla configurazione dello snap-in. Se ad esempio si configura un determinato snap-in per la gestione di un computer remoto e successivamente si aggiunge una seconda istanza dello snap-in, quest'ultima non verrà configurata automaticamente per la gestione del computer remoto.

Per modificare una console di solito è possibile aggiungere solo gli snap-in installati nel computer in uso. Se tuttavia il computer fa parte di un dominio, è possibile utilizzare MMC per scaricare gli eventuali snap-in non installati localmente, ma disponibili in Active Directory. Per ulteriori informazioni sull'aggiunta di snap-in ed estensioni pubblicati a una console, vedere Aggiungere, rimuovere e organizzare snap-in ed estensioni in MMC 3.0.

Vedere anche

  • Procedure relative a Criteri di gruppo


Modalità di accesso per una console snap-in

Quando si crea una console snap-in personalizzata, è possibile assegnarle una delle due opzioni di accesso seguenti: modalità di modifica o modalità utente. Poiché la modalità utente prevede a sua volta tre diversi livelli di accesso, le opzioni tra cui è possibile scegliere per configurare l'accesso predefinito a una console sono quattro e sono descritte nella tabella seguente.

Modalità | Descrizione
Modalità di modifica | Consente di personalizzare completamente la console snap-in, ad esempio di aggiungere o rimuovere snap-in, creare nuove finestre, creare Preferiti e blocchi note attività e accedere a tutte le opzioni delle finestre di dialogo Personalizza visualizzazione e Opzioni. Questa modalità è utilizzata in genere dagli utenti che creano file di console per uso personale o per altri utenti. La console snap-in che ne risulta viene in genere salvata in una delle modalità utente riportate in questa tabella.
Modalità utente - Accesso completo | Simile alla modalità di modifica, eccetto per il fatto che gli utenti non possono aggiungere o rimuovere snap-in, modificare le opzioni della console snap-in, creare l'elenco Preferiti o creare blocchi note attività.
Modalità utente - Accesso limitato, finestre multiple | Consente di accedere solo alle parti dell'albero visibili durante il salvataggio del file della console. Gli utenti possono creare nuove finestre, ma non possono chiudere quelle esistenti.
Modalità utente - Accesso limitato, finestra singola | Consente di accedere solo alle parti dell'albero visibili durante il salvataggio del file della console. Gli utenti non possono creare nuove finestre.

Tali opzioni possono essere configurate nella finestra di dialogo Opzioni di MMC. Per istruzioni sull'apertura della finestra di dialogo, vedere Impostare le opzioni per una console MMC 3.0.

Le modifiche apportate alle console snap-in in modalità di modifica e in modalità utente vengono salvate in modo diverso. Se si utilizza una console snap-in in modalità di modifica, alla chiusura della console verrà chiesto di salvare le modifiche. Se invece si utilizza una console snap-in in modalità utente ed è stata deselezionata la casella di controllo Non salvare le modifiche apportate a questa console, visualizzata scegliendo Opzioni dal menu File, le modifiche verranno salvate alla chiusura della console.

La modalità predefinita impostata verrà ignorata e la console verrà aperta automaticamente in modalità di modifica se si verifica una delle condizioni seguenti:

  • MMC è già aperto quando si apre una console snap-in.

  • La console snap-in viene aperta utilizzando il comando Autore del menu di scelta rapida.

  • La console viene aperta dal prompt dei comandi utilizzando l'opzione /a.

Per ulteriori informazioni sulle modalità di accesso alle console snap-in e sulla relativa sintassi della riga di comando per MMC, vedere Aprire MMC 3.0.

L'accesso a MMC in modalità di modifica non è di alcuna utilità per gli utenti che non devono creare o modificare console snap-in. Un amministratore di sistema può configurare le impostazioni dei profili utente in modo da impedire l'apertura di MMC in modalità di modifica, disabilitando l'opzione /a della riga di comando o il comando del menu di scelta rapida. L'amministratore può inoltre utilizzare le impostazioni Criteri di gruppo per impedire agli utenti di aprire MMC e le console salvate in modalità di modifica. Per ulteriori informazioni, vedere Utilizzare Criteri di gruppo per controllare l'utilizzo di MMC 3.0.


Opzioni della riga di comando per MMC 3.0

Utilizzando le opzioni della riga di comando per MMC è possibile aprire una console snap-in specifica, aprire MMC in modalità di modifica oppure specificare l'apertura di una versione di MMC a 32 bit o a 64 bit.

Sintassi

mmc <path\filename>.msc [/a] [/64] [/32]

Parametri

<path\filename>.msc Avvia MMC e apre una console snap-in salvata. È necessario specificare il percorso completo e il nome del file della console salvata. Se non si specifica un file di console, verrà aperta una nuova console snap-in.

/a Apre una console snap-in salvata in modalità di modifica, consentendo di apportare modifiche alle console salvate.

/64 Apre la versione a 64 bit di MMC (MMC64). Utilizzare questa opzione solo se si utilizza una sistema operativo Microsoft a 64 bit e si desidera utilizzare uno snap-in a 64 bit.

/32 Apre la versione a 32 bit di MMC (MMC32). Se si esegue un sistema operativo Microsoft a 64 bit, è possibile eseguire gli snap-in a 32 bit aprendo MMC con questa opzione della riga di comando quando sono disponibili solo tali snap-in.

Osservazioni

  • Utilizzo dell'opzione <path\filename>.msc della riga di comando

    È possibile utilizzare variabili di ambiente per creare righe di comando o collegamenti indipendenti dalla posizione esplicita dei file di console. Se il percorso di un file di console corrisponde alla cartella di sistema, ad esempio mmc c:\winnt\system32\console_name, è possibile utilizzare la stringa di dati espandibile %Systemroot% per specificare la posizione (mmc %Systemroot%\system32\console_name.msc). Questa funzionalità risulta utile quando si delega l'esecuzione di determinate attività a utenti dell'organizzazione che lavorano su computer diversi.

  • Utilizzo dell'opzione /a della riga di comando

    Quando si utilizza questa opzione, le console snap-in vengono aperte in modalità di modifica, indipendentemente dalla modalità predefinita. L'impostazione della modalità predefinita per i file non viene tuttavia modificata in modo permanente. Se si omette questa opzione, le console snap-in verranno infatti aperte nella relativa modalità predefinita.

  • Dopo aver aperto MMC o un file di console in modalità di modifica, è possibile aprire qualsiasi console esistente scegliendo Apri dal menu Console.

  • È possibile utilizzare la riga di comando per creare collegamenti per l'apertura di MMC e delle console snap-in salvate. Un comando della riga di comando può essere utilizzato con il comando Esegui del menu Start se è selezionata la visualizzazione classica di tale menu, in una finestra del prompt dei comandi, nei collegamenti o in un qualsiasi programma o file batch che chiama tale comando.

Vedere anche

  • Notazione di sintassi della riga di comando
  • Informazioni di riferimento per la riga di comando A-Z


Compatibilità di MMC 3.0

In questa sezione

  • Eseguire snap-in a 32 e a 64 bit nei sistemi operativi Windows a 64 bit

  • Utilizzare file creati con versioni precedenti di MMC in MMC 3.0


Eseguire snap-in a 32 e a 64 bit nei sistemi operativi Windows a 64 bit

Nei sistemi operativi Microsoft a 64 bit è possibile eseguire sia la versione di MMC a 32 bit (MMC32) sia la versione a 64 bit (MMC64). MMC64 non consente l'esecuzione di snap-in a 32 bit e MMC32 non supporta l'esecuzione di snap-in a 64 bit. Alcuni snap-in sono disponibili in entrambi i formati. Uno snap-in è considerato disponibile nel formato a 64 bit se esiste come chiave HKEY_CLASSES_ROOT\CLSID\clsid snap-in\InprocServer32 del Registro di sistema, dove clsid snap-in è il CLSID registrato per lo snap-in.

In questo argomento viene descritto come determinare e impostare quale versione di MMC viene eseguita in un sistema operativo Microsoft a 64 bit.

Considerazioni preliminari per i casi in cui viene utilizzato il parametro /32 o /64

MMC può essere eseguito mediante parametri della riga di comando, ad esempio il nome di un file di console e, in un sistema operativo Windows a 64 bit, le opzioni della riga di comando seguenti:

/32

Specifica MMC32.

/64

Specifica MMC64. Si tratta dell'impostazione predefinita in un sistema operativo Windows a 64 bit.

Se si utilizzano entrambe queste opzioni della riga di comando, avrà effetto quella immessa per ultima. MMC64 verrà sostituito da MMC32 in modo trasparente se si verificano alcune condizioni specifiche, come viene descritto nella sezione seguente.

Considerazioni preliminari per i casi in cui viene specificato un file di console

Se la riga di comando di MMC non contiene l'opzione /32 o /64 ma il nome di un file di console, MMC64 analizza tale file prima di stabilire la versione da eseguire. La sequenza del processo decisionale è la seguente:

  1. Se tutti gli snap-in della console sono disponibili nel formato a 64 bit, verrà utilizzato MMC64.

  2. Se tutti gli snap-in della console sono disponibili nel formato a 32 bit e alcuni non sono disponibili a 64 bit, verrà utilizzato MMC32. MMC64 avvierà MMC32 e quindi verrà terminato.

  3. Se l'elenco degli snap-in a 64 bit disponibili è più esteso dell'insieme degli snap-in a 32 bit disponibili, verrà utilizzato MMC64. Analogamente, se l'elenco degli snap-in a 32 bit disponibili è più esteso dell'insieme degli snap-in a 64 bit disponibili, MMC64 avvierà MMC32 e quindi verrà terminato.

    Se ad esempio una console contiene tre snap-in disponibili solo nel formato a 32 bit e due snap-in disponibili sia nel formato a 64 bit che nel formato a 32 bit, i cinque snap-in compatibili con il formato a 32 bit verranno considerati come un soprainsieme degli snap-in a 64 bit, pertanto verrà avviato MMC32.

  4. Se alcuni snap-in sono disponibili solo nel formato a 64 bit e altri solo nel formato a 32 bit, verrà richiesto di specificare quale versione di MMC si desidera eseguire. Se si sceglie MMC64, verranno caricati solo gli snap-in a 64 bit. Se si sceglie MMC32, verranno caricati solo gli snap-in a 32 bit.

Casi in cui è necessario specificare il percorso del file di console

I file di sistema sono archiviati nella cartella %windir%\system32. Nelle versioni a 64 bit dei sistemi operativi Windows, la cartella \system32 contiene file a 64 bit, incluse console a 64 bit, ad esempio eventvwr.msc. Se esiste anche una versione a 32 bit dello snap-in, sarà contenuta nella cartella %windir%\syswow64. Nell'esempio la versione a 32 bit del Visualizzatore eventi è %windir%\syswow64\eventvwr.msc. Se sono disponibili sia una versione a 64 bit della console nella cartella \system32 sia una versione a 32 bit nella cartella \syswow64 e si desidera eseguire esplicitamente la versione a 32 bit, sarà necessario ignorare il processo decisionale di MMC specificando il percorso e il parametro /32 della riga di comando. Ad esempio:

MMC /32 %windir%\syswow64\eventvwr.msc

Nota

Fare doppio clic sul collegamento di un file nella cartella \syswow64 equivale a fare doppio clic sul file in Esplora risorse, poiché verrà eseguito MMC senza il parametro /32 della riga di comando. Per aprire le console a 32 bit incluse nella cartella \syswow64, fare clic sul pulsante Start, scegliere Cerca e quindi, anziché utilizzare un collegamento, digitare il comando specificando il percorso e il parametro /32 della riga di comando.

Vedere anche

  • Compatibilità di MMC 3.0


Utilizzare file creati con versioni precedenti di MMC in MMC 3.0

Compatibilità con le versioni precedenti di MMC

MMC 3.0 è stato sviluppato per supportare gli snap-in creati per MMC 2.0 e MMC 1.2. Tali snap-in possono essere aggiunti a una console snap-in di MMC 3.0 e funzioneranno come nelle versioni di MMC per le quali sono stati realizzati.

È possibile utilizzare MMC 3.0 per aprire una console snap-in creata utilizzando MMC 2.0 o MMC 1.2. Se successivamente si salva la console snap-in, verrà chiesto se si desidera effettuare il salvataggio in formato MMC 3.0. In caso affermativo, non sarà più possibile aprirla con versioni precedenti di MMC. Non è infatti possibile utilizzare MMC 2.0 o MMC 1.2 per aprire una console snap-in creata con MMC 3.0.

Vedere anche

  • Compatibilità di MMC 3.0


Accessibilità per MMC 3.0

Oltre ai prodotti e ai servizi per l'accessibilità disponibili in Microsoft Windows, in MMC è inclusa una serie di tasti di scelta rapida per i comandi e gli spostamenti sia all'interno delle finestre che tra più finestre di MMC. Particolari funzionalità di Accessibilità possono essere inoltre fornite da componenti snap-in e da altri elementi aggiunti a una console snap-in. Per ulteriori informazioni, vedere la Guida o altra documentazione specifica.

In questa sezione

  • Spostamenti all'interno di MMC mediante tastiera e mouse

  • Tasti di scelta rapida di MMC


Spostamenti all'interno di MMC mediante tastiera e mouse

È possibile esplorare il contenuto dell'albero espandendo e comprimendo i rami. A tale scopo, fare clic sulle icone con i segni più e meno oppure fare doppio clic sul ramo. Nella tabella che segue sono elencati i tasti e le combinazioni di tasti che è possibile utilizzare per spostarsi sia all'interno delle finestre che da una finestra all'altra della console corrente.

Tasto o combinazione di tasti | Risultato
TAB o F6 | Consente di spostarsi in avanti tra i riquadri della finestra attiva.
MAIUSC+TAB o MAIUSC+F6 | Consente di spostarsi all'indietro tra i riquadri della finestra attiva.
CTRL+TAB o CTRL+F6 | Consente di spostarsi sulle finestre successive.
CTRL+MAIUSC+TAB o CTRL+MAIUSC+F6 | Consente di spostarsi sulle finestre precedenti.
Segno più (+) sul tastierino numerico | Espande l'elemento selezionato.
Segno meno (-) sul tastierino numerico | Comprime l'elemento selezionato.
Asterisco (*) sul tastierino numerico | Espande l'intero albero al di sotto dell'elemento radice nella finestra attiva.
FRECCIA SU | Sposta la selezione di un elemento verso l'alto in un riquadro.
FRECCIA GIÙ | Sposta la selezione di un elemento verso il basso in un riquadro.
PGSU | Sposta la selezione sul primo elemento visibile in un riquadro.
PGGIÙ | Sposta la selezione sull'ultimo elemento visibile in un riquadro.
HOME | Sposta la selezione sul primo elemento in un riquadro.
FINE | Sposta la selezione sull'ultimo elemento in un riquadro.
FRECCIA DESTRA | Espande l'elemento selezionato. Se l'elemento selezionato non contiene elementi nascosti, ha la stessa funzione di FRECCIA GIÙ.
FRECCIA SINISTRA | Comprime l'elemento selezionato. Se l'elemento selezionato non contiene elementi visibili, ha la stessa funzione di FRECCIA SU.
ALT+FRECCIA DESTRA | Sposta la selezione sull'elemento successivo. Ha la stessa funzione della freccia Avanti sulla barra degli strumenti.
ALT+FRECCIA SINISTRA | Sposta la selezione sull'elemento precedente. Ha la stessa funzione della freccia Indietro sulla barra degli strumenti.

Nella tabella che segue sono elencate le operazioni che è possibile eseguire con il mouse per spostarsi all'interno dell'albero di MMC.

Operazione con il mouse | Risultato
Clic | Seleziona un elemento.
Doppio clic | Visualizza o nasconde gli elementi contenuti nell'elemento selezionato. Apre un elemento o visualizza la relativa finestra delle proprietà.
Clic con il pulsante destro del mouse | Visualizza il menu di scelta rapida Azione per l'elemento selezionato.
Nota

Se le operazioni eseguite con il mouse non producono il risultato previsto, è possibile che le funzionalità dei pulsanti destro e sinistro del mouse siano state invertite. Il computer in uso potrebbe essere stato configurato in modo da invertire le azioni associate per impostazione predefinita ai pulsanti destro e sinistro del mouse.

Vedere anche

  • Accessibilità per MMC 3.0


Tasti di scelta rapida di MMC

In questo argomento vengono descritti due tipi di tasti di scelta rapida: tasti di scelta rapida per la finestra principale e tasti di scelta rapida per la finestra attiva.

Tasti di scelta rapida per la finestra principale di MMC

Nella tabella che segue sono elencati i tasti di scelta rapida relativi ai comandi di menu che hanno effetto sull'intera console snap-in o sulla finestra principale di una console snap-in.

Azione | Risultato
CTRL+O | Apre una console snap-in salvata.
CTRL+N | Apre una nuova console snap-in.
CTRL+S | Salva la console snap-in aperta.
CTRL+M | Apre la finestra di dialogo Aggiungi o rimuovi snap-in.
CTRL+W | Apre una nuova finestra.
F5 | Aggiorna il contenuto di tutte le finestre della console snap-in.
ALT+BARRA SPAZIATRICE | Visualizza il menu della finestra MMC.
ALT+F4 | Chiude la console snap-in.
ALT+A | Visualizza il menu Azione.
ALT+V | Visualizza il menu Visualizza.
ALT+F | Visualizza il menu File.
ALT+O | Visualizza il menu Preferiti.
ALT+W | Visualizza il menu Finestra.
ALT+H | Visualizza il menu ?.
Nota

Il tasto di scelta rapida CTRL+W è disponibile per le console aperte in modalità di modifica o in modalità utente con accesso completo. Altri tasti di scelta rapida abbinati a CTRL sono disponibili solo per console aperte in modalità di modifica.

Tasti di scelta rapida per la finestra attiva di MMC

Nella tabella che segue sono elencati i tasti di scelta rapida relativi ai comandi di menu che hanno effetto sulla finestra attiva di una console snap-in o sul relativo contenuto.

Azione | Risultato
CTRL+P | Stampa la pagina o il riquadro attivo corrente, se nello snap-in è consentita la stampa.
ALT+segno meno (-) | Visualizza il menu della finestra della console snap-in attiva.
MAIUSC+F10 | Visualizza il menu di scelta rapida Azione per l'elemento selezionato.
F1 | Se disponibile, apre l'argomento della Guida relativo all'elemento selezionato.
F5 | Aggiorna il contenuto di tutte le finestre della console snap-in.
CTRL+F10 | Ingrandisce la finestra della console snap-in attiva.
CTRL+F5 | Ripristina la finestra della console snap-in attiva.
ALT+INVIO | Se disponibile, visualizza la finestra di dialogo delle proprietà relativa all'elemento selezionato.
F2 | Rinomina l'elemento selezionato.
CTRL+F4 | Chiude la finestra della console snap-in attiva. Se per una console snap-in è presente una sola finestra, chiude la console snap-in.

Vedere anche

  • Accessibilità per MMC 3.0


Notazione di sintassi della riga di comando

Nella tabella seguente viene descritta la notazione utilizzata per indicare la sintassi della riga di comando.

Notazione | Descrizione
Testo senza parentesi quadre o graffe | Elementi da digitare come indicato
<Testo tra parentesi acute> | Segnaposto per il quale è necessario fornire un valore
[Testo tra parentesi quadre] | Elementi facoltativi
{Testo tra parentesi graffe} | Serie di elementi richiesti: effettuare una selezione
Barra verticale (|) | Separatore per elementi che si escludono a vicenda: effettuare una selezione
Puntini di sospensione (...) | Elementi che possono essere ripetuti